Subject: bug#7331: closed (Re: bug#7331: Date command bug)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 Nov 2010 20:57:02 +0000

Your bug report

#7331: Date command bug

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7331: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7331
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7331: Date command bug
From: Bob Proulx <[email-masked]>
To: Raymond Pete <[email-masked]>
Cc: [email-masked]
Date: Fri, 5 Nov 2010 15:00:47 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Raymond Pete wrote:
> Thanks for the info Bob :-) I figured I missed something here.
> I see running my jobs just after midnight is probably not best.

I like running those types of calculations either at 12 noon or using
UTC.  Then the DST issues are avoided.

I also like using the 'date -R' format since it is RFC standard (used
in email and news) and unambiguous about timezones.  Otherwise I like
using "%F %T %z" for being compact, unambiguous, and sorts nicely.

I will go ahead and close the bug with this email then.

> Appreciate all the work you guys do!

The team enjoys hearing those nice words.  :-)

Bob

Subject: Date command bug
From: Raymond Pete <[email-masked]>
To: [email-masked]
Date: Thu, 4 Nov 2010 19:39:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I believe I have come across a small bug in the date command when daylight
savings time is in the process of being run.

Example:
    date --set "7 NOV 2010"
 -->Sun Nov  7 00:00:01 EDT 2010

    date --date="+1 day"
-->Sun Nov  7 23:00:40 EST 2010

It would appear in Eastern time zone case there is a small 2 hour window of
error here whereby the date command has set the zone before it is actually
supposed to be set. I have seen this with all time zone shifts. Noticed
first last weekend when BST went to GMT.

Could be a known bug.. if so, sorry to trouble you guys.

Best Regards,

Ray